Package org.apache.jmeter.protocol.http.curl

# Interface ArgumentHolder

All Known Implementing Classes:
  `FileArgumentHolder`, `StringArgumentHolder`

public interface ArgumentHolder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default String`
  `getContentType()`
  `Map<String,String>`
  `getMetadata()`
  `String`
  `getName()`
  `default boolean`
  `hasContenType()`
  `static org.apache.commons.lang3.tuple.Pair<String,Map<String,String>>`
  `parse(String name)`

- ## Method Details

  - ### getName

    String getName()

  - ### getMetadata

    Map<String,String> getMetadata()

  - ### getContentType

    default String getContentType()

  - ### hasContenType

    default boolean hasContenType()

  - ### parse

    static org.apache.commons.lang3.tuple.Pair<String,Map<String,String>> parse(String name)